#include <bits/stdc++.h>
using namespace std;
long long x[200005], y[200005];
int main()
{
    long long n, i, ans = 0;
    cin >> n;
    for(i = 1; i <= n; i++) cin >> x[i] >> y[i];
    sort(x + 1, x + n + 1);
    sort(y + 1, y + n + 1);
    for(i = 1; i <= n; i++) ans = ans + abs(x[i] - i) + abs(y[i] - i);
    cout << ans;
    return 0;
}